Проблемы с QUIK под эмулятором на Mac

Страницы: 1
RSS
Проблемы с QUIK под эмулятором на Mac
 
Здравствуйте!
Согласно инструкции на этом форуме попытался установить программу на Mac
OS X El Capitan 10.11.4

Пробовал в двух разных вариантах
1. Через PlayOnMac
2. Вручную поставив Wine и через нее запустив инсталлятор и запуская саму программу

Основная проблема:
Интерфейс системы отображается в знаках вопросов. (проблема с кодировкой)



В PlayOnMac сделал аж две инсталляции (виртуальных диска), но программа почему-то не отображается в списке программ PlayOnMac




Чтобы запустить, приходится заходить вручную в папку
/Users/username/Library/PlayOnMac/wineprefix/QUIK_/drive_c/Q­UIK_VTB24
И там запускать info.exe




Что касается варианта с Wine напрямую, то я создал там обертку (Wrapper) и в ней проинсталлировал QUIK
Оболочка лежит по адресу
/Users/username/Applications/Wineskin/quick.app

При запуске также проблема со знаками вопросов ?????
Пытался в настройках программы менять шрифты на те, у которых есть Cyrillic, но это не помогло.

Никакой отдельной иконки на рабочем столе не появлялось. Приходится запускать только способами, указанными выше.

Помогите, пожалуйста.
 
Добрый день.

Чтобы изменить  шрифты, Вам необходимо сменить язык системы на русский, как понимаем OC у Вас сейчас на английском языке.
 
Благодарю!
Это помогло!
А есть ли еще какой-то способ (пусть хитрый), чтобы оставить язык системы английским, но заставить работать кириллицу внутри QUIK?
 
В линуксе помогает прописать системную переменную LANG=ru_RU.UTF8
Но поможет ли это в маке я не в курсе.
 
Цитата
Imersio Arrigo написал:
В линуксе помогает прописать системную переменную LANG=ru_RU.UTF8
Но поможет ли это в маке я не в курсе.
А где это прописывается? Я бы попробовал прописать
 
Цитата
mister написал:
А где это прописывается? Я бы попробовал прописать
При запуске из командной строки можно делать так:
LANG=ru_RU.UTF8 wine info.exe

Или в ярлык прописать.
 
Цитата
Imersio Arrigo написал:
LANG=ru_RU.UTF8 wine info.exe

Или в ярлык прописать.
Не очень понятно как это сделать на маке. Когда здесь есть Quik.app
 
Цитата
mister написал:
Цитата
Не очень понятно как это сделать на маке. Когда здесь есть Quik.app
Если я когда-нибудь куплю себе мак или поставлю хакинтош, возможно смогу поделиться рецептом.
А пока - извините :)
 
У меня такая же проблема: после установки КВИКа в PlayOnMac большинство надписей на русском обображается в виде знаков вопросов. Так и не понял как с этим стправиться... Нужна помощь![img]file:///C:/Users/Riskman/iCloudDrive/%202017-02-19%20%D0%B2%2019.54.05.PNG[/img]
 
Цитата
Alexander написал:
У меня такая же проблема: после установки КВИКа в PlayOnMac большинство надписей на русском обображается в виде знаков вопросов. Так и не понял как с этим стправиться... Нужна помощь![img]file:///C:/Users/Riskman/iCloudDrive/%202017-02-19%20%D0%B2%2019.54.05.PNG[/img]
Что-то скриншот не цепляется к сообщению... Система у меня OS X 10.10.5. Основной язых - русский.
 
Добрый вечер.

Пытаюсь установить программу Quik на свой мак при помощи программы Wineskin Winery, но в момент когда выбираю терминал Quik от брокера БКС, выпадает следующее сообщение "No new executables found!

Maybe the installer failed...?

If you tried to install somewhere other than C: drive (drive_c in the wrapper) then you will get this message too.  All software must be installed in C: drive."

Перевод: "Новые исполняемые файлы не найдены!Может быть, установщик не удалось ...?  Если вы попытались установить что-то, кроме диска C: (drive_c в оболочке), то вы также получите это сообщение. Все программное обеспечение должно быть установлено на диске C :."

Кто-нибудь сталкивался с такой проблемой? И как лечить?

[img]blob:https://forum.quik.ru/f426bade-7507-4085-8496-54af81aaa370[/img]
 
не могу помочь горю, но возможно снижу вашу боль если сообщу, что
в новой убунту 20.04 квик также крашится

чего стоит зоопарк в проекте с учетом 32-х битного инсталлера и других частей
всё уже выглядит вполне  третьесортно ..."На данном историческом этапе ..." :)

хотя вполне соответствует уровню потребителей и экономики - уныло.
 
Цитата
новичок написал:
не могу помочь горю, но возможно снижу вашу боль если сообщу, что
в новой убунту 20.04 квик также крашится

чего стоит зоопарк в проекте с учетом 32-х битного инсталлера и других частей
всё уже выглядит вполне  третьесортно ..."На данном историческом этапе ..." :)

хотя вполне соответствует уровню потребителей и экономики - уныло.
Добрый день.

Можно по разбираться с проблемой. Если крашется, то если с дампом, то пришлите, если без него, то опишите процесс более подробнее. Просто закрывается программа без ошибок? В какой момент происходит падение (при подключении, при выставлении заявки, сразу после запуска)
 
Цитата
новичок написал:
с учетом 32-х битного инсталлера
А где-то дают квик с официальным инсталлером? У брокеров какие-то самопалы, на фтп в зипах, куда глянуть?
 
Цитата
Egor Zaytsev написал:
Цитата
новичок написал:
не могу помочь горю, но возможно снижу вашу боль если сообщу, что
в новой убунту 20.04 квик также крашится

чего стоит зоопарк в проекте с учетом 32-х битного инсталлера и других частей
всё уже выглядит вполне  третьесортно ..."На данном историческом этапе ..." :)

хотя вполне соответствует уровню потребителей и экономики - уныло.
Добрый день.

Можно по разбираться с проблемой. Если крашется, то если с дампом, то пришлите, если без него, то опишите процесс более подробнее. Просто закрывается программа без ошибок? В какой момент происходит падение (при подключении, при выставлении заявки, сразу после запуска
Добрый день.

Крашится с дампом после некоторого времени после запуска даже без видимой активности по элементам или действиям.

Пока 20.04 в стадии пререлиза не стал высылать или беспокоить, тк на моей базовой федоре 31 всё ок.

После релиза еще посмотрим или вы сами можете почекать версию 8.4.

Спасибо за отклик, но претенцезионный мой тон оставлю в силе, тк вряд ли есть весомые причины не пересобрать инсталлер и апдейтер под 64 бита. ну вот никак не получается понять. Можете пояснить? :)
 
Цитата
Anton написал:
Цитата
новичок написал:
с учетом 32-х битного инсталлера
А где-то дают квик с официальным инсталлером? У брокеров какие-то самопалы, на фтп в зипах, куда глянуть?
глубоко не вникал в местную кухню, но те группы случайных низкоквалифицированных граждан, которые Вы благосклонно именовали брокерами мало на что сами способны без готовых костылей. сомнений в этом почти нет. :)

пс: к тем гражданам " ..такой сильный непрязнь испытываю, что кушат не могу ..." (с)
 
Цитата
новичок написал:
мало на что сами способны без готовых костылей
Вот-вот, я и удивился, видел sfx всякие и подобное, а прям вот официально с логотипом и подписЯми чет не встречалось.
Цитата
такой сильный непрязнь
Лишный )
 
Цитата
Anton написал:
Цитата
новичок написал:
с учетом 32-х битного инсталлера
А где-то дают квик с официальным инсталлером? У брокеров какие-то самопалы, на фтп в зипах, куда глянуть?
Добрый день.

Брокер сам собирает дистрибутив. Такого определения, как официальный нет.

У нас есть свои дистрибутивы под Quik-Junior.

https://arqatech.com/ru/support/files/quik-workstation/
 
Цитата
Egor Zaytsev написал:
У нас есть свои дистрибутивы под Quik-Junior.  https://arqatech.com/ru/support/files/quik-workstation/
Цитата
~/ramdisk > file Quik_Junior_v8.4.1.exe
Quik_Junior_v8.4.1.exe: PE32 executable (GUI) Intel 80386, for MS Windows

зачем 64-битный софт на 64-битной ОС паковать как i386?

где логика?.. :)
 
Цитата
новичок написал:
где логика?
Я б у мозиллы тоже спросил. Думается, если не учитывать msi, ни один движок в x64 не умеет паковать. А msi - последнее, что хотелось бы видеть, этот по-простому распаковать и настроить не умеет, пол-винды перероет.
 
Цитата
Anton написал:
ни один движок в x64 не умеет паковать.
серьезно?! беда...а прям с вендузятиной :)

дык если в реестр не лезет, что мешает sfx64  ?
 
Цитата
новичок написал:
беда...а прям с вендузятиной :)
Не то слово ) Даже ярлычки создать может быть делом занятным. если мы хотим на всех версиях работать. Потом, если хотим анинсталл зарегистрировать, таки придется в реестр лезть, ну и далее везде. Так-то, если только распаковать, sfx вполне себе справится, но в этом случае лично я бы предпочел зип простой, что сейчас есть и слава богу.
 
Цитата
новичок написал:
где логика?.. :)
$ file Firefox\ Setup\ 75.0.exe
Firefox Setup 75.0.exe: PE32 executable (GUI) Intel 80386, for MS Windows, UPX compressed

хз где она...
 
а если заглянуть в этот, видимо, sfx
$ file setup.exe
setup.exe: PE32 executable (GUI) Intel 80386, for MS Windows, Nullsoft Installer self-extracting archive

а в core

$ file firefox.exe
firefox.exe: PE32+ executable (GUI) x86-64, for MS Windows

внезапно да...
 
Цитата
Egor Zaytsev написал:
при подключении
при подключении
 
Цитата
Egor Zaytsev написал:
Можно по разбираться с проблемой. Если крашется, то если с дампом, то пришлите,
выслал дампы.
 
Цитата
новичок написал:
в новой убунту 20.04 квик также крашится
на Fedora 31 и 32 не падает

Цитата
новичок написал:
всё уже выглядит вполне  третьесортно ..."На данном историческом этапе ..." :)

на новую венду не заточено
на кроссплатформенность не заточено
зоопарк из 32 и 64 битных приложух

так себе исторический итог, имо.

без претензий,  но не понятна идея и перспектива. выглядит как-будто их нет и в планах.
 
Цитата
новичок написал:
но не понятна идея и перспектива
А она как-то во всей виндовой экосистеме непонятна. Приплыли тксть.
 
Цитата
Александр написал:
Добрый вечер.

Пытаюсь установить программу Quik на свой мак при помощи программы Wineskin Winery, но в момент когда выбираю терминал Quik от брокера БКС, выпадает следующее сообщение "No new executables found!

Maybe the installer failed...?

If you tried to install somewhere other than C: drive (drive_c in the wrapper) then you will get this message too.  All software must be installed in C: drive."

Перевод: "Новые исполняемые файлы не найдены!Может быть, установщик не удалось ...?  Если вы попытались установить что-то, кроме диска C: (drive_c в оболочке), то вы также получите это сообщение. Все программное обеспечение должно быть установлено на диске C :."

Кто-нибудь сталкивался с такой проблемой? И как лечить?

[img]blob:https://forum.quik.ru/f426bade-7507-4085-8496-54af81aaa370[/img]
Кто-нибудь может подсказать как решить мою проблему?
 
Цитата
Александр написал:
Кто-нибудь может подсказать как решить мою проблему?
Если вы не умеете пользоваться своим компьютером наверное помочь не могут лишь все.

Как неоднократно упоминалось в данной теме, видимо дело в том что инсталлятор 32х битный.
Видимо вам это ни о чем не говорит.
Предположительно дело в том, что после того как из макоси выпилили поддержку 32хбитного софта она просто не может этот инсталлятор запустить.

Очевидным решением этой проблемы явления не установка через инсталлятор, а просто скачать архив, например с сайта арки, и настроить по-своему вкусу.
 
Цитата
Imersio Arrigo написал:
Цитата
Александр написал:
Кто-нибудь может подсказать как решить мою проблему?
Если вы не умеете пользоваться своим компьютером наверное помочь не могут лишь все.

Как неоднократно упоминалось в данной теме, видимо дело в том что инсталлятор 32х битный.
Видимо вам это ни о чем не говорит.
Предположительно дело в том, что после того как из макоси выпилили поддержку 32хбитного софта она просто не может этот инсталлятор запустить.

Очевидным решением этой проблемы явления не установка через инсталлятор, а просто скачать архив, например с сайта арки, и настроить по-своему вкусу.
Спасибо, что уделили внимание только данная проблема наблюдается как с 64-ех битной версией так и с 32-ух битной. У Брокера скачал 2 экс файла 32 и 64 и с обоими такая ошибка выходит. Последнее предложение не очень понял, скачать архив откуда?  
 
Цитата
Александр написал:
только данная проблема наблюдается как с 64-ех битной версией так и с 32-ух битной
Это потому, что невнимательно прочли, что написано. Версия-то 64-битная, а ИНСТАЛЛЕР у нее 32-битный. И это (инсталлер) поделие не арки, а брокера конкретного. А поделия арки (к вопросу откуда скачать) лежат здесь. Только имейте в виду, что они под конкретного брокера не настроены, это надо либо ручками делать (не только лишь все осилят), либо установить брокерский вариант на жертвенную винду и утащить оттуда всю папку с квиком. Он, к счастью, вполне себе переносимый.
 
Цитата
Egor Zaytsev написал:
Можно по разбираться с проблемой.
Пока что констатируем , что на "данном историческом этапе .." QUIK 8.* выглядит нерабочим ни на MacOS, ни на Ubuntu 20.04 LTS
 
Цитата
новичок написал:
выглядит нерабочим ни на MacOS, ни на Ubuntu 20.04 LTS
Ктото не так давно говорил что макосевцы должны стродать. Присоединяю туда бубунтоидов ))
Арчеводы ликуют. бгг.

А если в бубунте собрать с сырцов полетит? а staging?
 
Цитата
Imersio Arrigo написал:
Цитата
новичок написал:
выглядит нерабочим ни на MacOS, ни на Ubuntu 20.04 LTS
Ктото не так давно говорил что макосевцы должны стродать. Присоединяю туда бубунтоидов ))
Арчеводы ликуют. бгг.
пускай страдают все, кто заслужил. :)

тут разговор об присутствии отсутствия стратегии и логики развития.

очевидно, что бубунта наиболее популярна  и известна.
посыл к АРКА - перестать думать, что квик теперь работает где-либо еще.
Цитата
А если в бубунте собрать с сырцов полетит?
тогда будет мучаться мну. нет уж.
Цитата
а staging?

wine-devel тоже крашит

staging не пробовал, если оно требует i386 то и не стану.

пройдет время и люди скажут, что у кого и как. не тороплюсь.
 
Цитата
новичок написал:
wine-devel тоже крашит
staging не пробовал, если оно требует i386 то и не стану.
у мну не крашит. всё386 выкосил ваще.
 
Цитата
Imersio Arrigo написал:
Цитата
новичок написал:
wine-devel тоже крашит
staging не пробовал, если оно требует i386 то и не стану.
у мну не крашит. всё386 выкосил ваще
на убунту 20.04 ?  :shock:

Цитата
новичок написал:
staging не пробовал, если оно требует i386 то и не стану.
не пробовал на бубнту,  и не буду, тк  If your system is 64 bit, enable 32 bit architecture (if you haven't already) https://wiki.winehq.org/Ubuntu
но на федоре таких проблем не наблюдается.
 
Цитата
новичок написал:
на убунту 20.04 ?  
нет конечно. убунтоводы пускай идут страдать.
у мну тут арчеводство :)
 
Цитата
новичок написал:
Цитата
Imersio Arrigo написал:
 
Цитата
новичок  написал:
wine-devel тоже крашит
staging не пробовал, если оно требует i386 то и не стану.
 у мну не крашит. всё386 выкосил ваще
на убунту 20.04 ?  

Цитата
новичок написал:
staging не пробовал, если оно требует i386 то и не стану.
не пробовал на бубнту,  и не буду, тк  If your system is 64 bit, enable 32 bit architecture (if you haven't already)  https://wiki.winehq.org/Ubuntu
но на федоре таких проблем не наблюдается.
То же крашилось после недавнего апдейта до Ubuntu 20.04.
Поставил wine не с убунтовой репы, а как написано по ссылке от Новичка и все заработало.
Страницы: 1
Читают тему (гостей: 1)
Наверх